List disputes
Returns the list of disputes.
Read our disputes guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/disputes" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
mc.ListDisputes(ctx, accountID)
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.ListDisputesRequest;
import io.moov.sdk.models.operations.ListDisputesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListDisputesRequest req = ListDisputesRequest.builder()
.accountID("6fee8f6c-b2c5-44a4-aebb-718335fe4f8e")
.skip(60L)
.count(20L)
.build();
ListDisputesResponse res = sdk.disputes().list()
.request(req)
.call();
if (res.disputes().isPresent()) {
// handle response
}
}
}using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListDisputesRequest req = new ListDisputesRequest() {
AccountID = "6fee8f6c-b2c5-44a4-aebb-718335fe4f8e",
Skip = 60,
Count = 20,
};
var res = await sdk.Disputes.ListAsync(req);
// handle responserequire 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
req = Models::Operations::ListDisputesRequest.new(
account_id: '6fee8f6c-b2c5-44a4-aebb-718335fe4f8e',
skip: 60,
count: 20,
)
res = s.disputes.list(request: req)
unless res.disputes.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.disputes.list({
accountID: "6fee8f6c-b2c5-44a4-aebb-718335fe4f8e",
skip: 60,
count: 20,
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListDisputesRequest(
accountID: '6fee8f6c-b2c5-44a4-aebb-718335fe4f8e',
skip: 60,
count: 20,
);
$response = $sdk->disputes->list(
request: $request
);
if ($response->disputes !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.disputes.list(account_id="6fee8f6c-b2c5-44a4-aebb-718335fe4f8e", skip=60, count=20)
# Handle response
print(res)[
{
"disputeID": "6e356108-fdfa-4910-bbe4-1e3c8abf5520",
"merchantAccountID": "34233b72-780c-4e0e-8b08-cbbe1bc878f8",
"createdOn": "2024-12-23T17:55:00Z",
"amount": {
"currency": "USD",
"value": 257753
},
"networkReasonCode": "10.4",
"transfer": {
"transferID": "ecac148a-917e-4ee0-b46a-c51408939fff"
},
"respondBy": "2024-12-23T18:55:00Z",
"status": "response-needed",
"phase": "chargeback"
}
]Response headers
x-request-id
string
required
{
"error": "string"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
{
"error": "string"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Query parameters
skip
integer
<int64>
count
integer
<int64>
200startDateTime
string
<date-time>
endDateTime
string
<date-time>
respondStartDateTime
string
<date-time>
respondEndDateTime
string
<date-time>
status
string
response-needed,
resolved,
under-review,
closed,
accepted,
expired,
won,
lost
merchantAccountID
string
cardholderAccountID
string
disputeIDs
array
transferIDs
array
orderBy
string
Response
amount
object
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
createdOn
string<date-time>
disputeID
string
merchantAccountID
string
networkReasonCode
string
Indicates the card network's category for the dispute.
These codes may differ between card brands. You can find more information on the code from the networkReasonDescription field.
networkReasonDescription
string
phase
string<enum>
pre-dispute,
inquiry,
chargeback,
unknown
respondBy
string<date-time>
status
string<enum>
The status of a particular dispute.
Read our disputes guide to learn what each status means.
response-needed,
resolved,
under-review,
closed,
accepted,
expired,
won,
lost
submittedOn
string<date-time>
transfer
object
Show child attributes
transferID
string
required